Subject: bug#4894: 23.1; emacs ignores number characters in incremental search in keyboard macros

From: Chong Yidong <[email-masked]>
Date: Tue, 30 Oct 2012 07:21:58 +0800

Stefan Monnier <[email-masked]> writes:

> Actually, the need for cancel-kbd-macro-events is explained in
> the comment.  The problem is that after cancelling the <kp-0> we should
> add the ?0 replacement.  That should normally be done by isearch-unread,
> but for printing char, we don't call that function any more.
>
> I.e. the problem was introduced by the change below.  Handa, can you
> explain why we need this?  Maybe it was needed at the time but not
> any more?

Since there has been no follow up in a long time, I went ahead and
committed a fix that involves calling store-kbd-macro-event in the
affected function.